<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_6e38cb9e043a07cd69a1711a67" . "04c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_0ee0a25025d73" . "f8693a4bb37a3c" . "298ac" => base64_decode("Y2hlY2t" . "lZF9pbl" . "9ieQ=="), "_d5ebf376f635c18" . "8ec65813608e6ece" . "5" => base64_decode("bmV3X3ZlcnN" . "pb24="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0ee0a25025d73f8693a4bb37a" . "3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d5ebf376f635c188ec65813608e6e" . "ce5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_6e38cb9e043a07cd69a171" . "1a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}